Last modified: 2012-04-19 21:43:30 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21014 - Search & Replace: 'Replace Next' functionality is not working.
Search & Replace: 'Replace Next' functionality is not working.
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal major (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-06 06:45 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-10-06 06:45:33 UTC
Reporting against Babaco Release.

Steps to Reproduce ::
1) Select a random page and click on edit
2) Enter required texts in the text area.
3) Click on 'Search and replace' button.
4) Set a words to 'Search for' and 'Replace with' text boxes.
5) Click the 'Replace Next' button.
<<Highlighted the word which mentioned in 'Search for' text box>>

Expected Outcome::
Replace the next available matching word with the required replace word.

Other observation::
1)When user clicks 'Replace Next' button twice, searched value will be replaced.
2)Bug reproducible in the 'Mac' and 'Fedora' OS as well for Firefox.

Test Environment::

Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Time and Date: 	12:11:27 PM - Tuesday, October 06, 2009
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Not Available/Enabled
CPU class/type: 	OS/CPU Windows NT 6.0

Browser (User-Agent): 	Opera/9.50 (Windows NT 6.0; U; en)
Time and Date: 	12:11:46 PM - Tuesday, October 06, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled 
Java Enabled:	Not Available/Enabled
Comment 1 Roan Kattouw 2009-10-06 12:56:21 UTC
Fixed in r57424.
Comment 2 Calcey QA 2009-10-09 06:43:47 UTC
Verified and Passed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links